package refreshtokensdb

import (
	"context"

	"github.com/tech/sendico/pkg/model"
)

func (db *RefreshTokenDB) GetClient(ctx context.Context, clientID string) (*model.Client, error) {
	var client model.Client
	return &client, db.clients.FindOneByFilter(ctx, filterByClientId(clientID), &client)
}
